=== debian/control ===
Source: ocaml-benchmark
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9.1),
 ocaml-nox (>= 3.10.0-9),
 ocaml-best-compilers,
 ocaml-findlib (>= 1.1.2pl1-4),
 libpcre-ocaml-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-benchmark.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-benchmark.git
Homepage: https://forge.ocamlcore.org/projects/ocaml-benchmark/

Package: libbenchmark-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml benchmarking library
 This library implements benchmarking functions for measuring the
 run-time of one or many functions using latency (multiple
 repetitions) or throughput (repeat until some time period has
 passed) tests.
 .
 It is inspired by the Perl module of the same name ( benchmark ).
