## ocaml-benchmark 1.3

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 configure: setup.data
 setup.data: setup.ml
-	ocaml $< -configure
+	ocaml $< -configure --enable-examples --enable-tests
 
 setup.ml: _oasis
 	oasis setup
