=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-best-compilers,
  ocaml-findlib (>= 1.1.2pl1-4),
  libpcre-ocaml-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-benchmark.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-benchmark.git
 Homepage: https://forge.ocamlcore.org/projects/ocaml-benchmark/
