=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=197 .*/benchmark-(\d.*)\.tar\.gz
