=== debian/control ===
Source: ocaml-benchmark
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 ocaml-nox,
 ocaml-dune
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-benchmark.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-benchmark
Homepage: https://github.com/Chris00/ocaml-benchmark

Package: libbenchmark-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml benchmarking library
 This library implements benchmarking functions for measuring the
 run-time of one or many functions using latency (multiple
 repetitions) or throughput (repeat until some time period has
 passed) tests.
 .
 It is inspired by the Perl module of the same name ( benchmark ).
