=== examples/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 byte: $(EXAMPLES:.ml=.exe)
 opt native:  $(EXAMPLES:.ml=.com)
 
-regexps.exe regexps.com: REQUIRES += pcre
+regexps.exe regexps.com: REQUIRES += re
 
 %.exe: %.ml ../benchmark.cma
 	$(OCAMLC) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK) $<
