=== debian/changelog ===
ocaml-benchmark (1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Feb 2025 11:54:11 +0100

ocaml-benchmark (1.6-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:29:12 +0200

ocaml-benchmark (1.6-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041034)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 11:58:48 +0200
