=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/Chris00/ocaml-benchmark/releases?per_page=50 \
https://github.com/Chris00/ocaml-benchmark/releases/download/[^/]+/benchmark-@ANY_VERSION@\.tbz
